
//该文件的目录大家尽量保持统一/chaos.plugin.xxxx,方便整理

//这个名字，需要定义好，不能重复，每个插件单独唯一,会开放给产品线
//参考app/src/main/assets/chaos/plugins.js line : 4
JS_BRIDGE.define("chaos-plugin-account.Account", function(require, exports, module) {
  var accountExport = {};

  accountExport.login = function(args, cb){
    return JS_BRIDGE.exec('Account','login',args , cb);
  }

  accountExport.getClientParams = function(args, cb){
    return JS_BRIDGE.execSync('Account','getClientParams',args , cb);
  }

  accountExport.showAD = function(args, cb){
    return JS_BRIDGE.exec('Account','showAD',args , cb);
  }

  accountExport.isLogin = function(args, cb){
    return JS_BRIDGE.exec('Account','isLogin',args , cb);
  }

  accountExport.preLoad = function(args, cb){
    return JS_BRIDGE.exec('Account','preLoad',args , cb);
  }

  accountExport.playResult = function(args, cb){
    return JS_BRIDGE.exec('Account','playResult',args , cb);
  }

  accountExport.getAccount = function(args, cb){
    return JS_BRIDGE.exec('Account','getAccount',args , cb);
  }

  accountExport.deregister = function(args, cb){
    return JS_BRIDGE.exec('Account','deregister',args , cb);
  }


  module.exports = accountExport;
});