
//该文件的目录大家尽量保持统一/chaos.plugin.xxxx,方便整理

//这个名字，需要定义好，不能重复，每个插件单独唯一,会开放给产品线
//参考app/src/main/assets/chaos/plugins.js line : 4
JS_BRIDGE.define("chaos-plugin-alex.plugin", function(require, exports, module) {
  var api = {};

  //所有的方法都是这样统一处理，args参数，cb是回调，不需要什么都不写也可以，
  //这样写完，js端可以直接调用Demo.log(args,function(){}),
  // 调用方式参考app/src/main/assets/chaos/app.js line :36
  api.logEvent = function(args, cb){
    //Demo是插件名字,需要告诉产品线，参考app/src/main/assets/chaos/plugins.js line : 8
    //log是action的动作,回传给DemoPlugin.java端
    return JS_BRIDGE.exec('Alex', 'logEvent', args, cb);
  }

  api.logEventThenFlush = function(args, cb){
      //Demo是插件名字,需要告诉产品线，参考app/src/main/assets/chaos/plugins.js line : 8
      //log是action的动作,回传给DemoPlugin.java端
      return JS_BRIDGE.exec('Alex', 'logEventThenFlush', args, cb);
    }
  module.exports = api;

});

//1.这个文件只需要改line 6的名字
//2.参考line 12~15行，增加方法，
//其他的都不需要动