// IMemory.aidl
package com.guardian.security.pro.service;

// Declare any non-default types here with import statements

interface IMemory {
    /**
     * pos 主要用于记录百分比显示的地方，以达到对内存显示的精准控制，保证
     * 用户有最合乎逻辑的体验
     **/
   float getOccupiedPercentage(int pos);
   /**
    *currentPercentage 可以不传的，但如果这个百分比已经给了用户很强的感知，那么
    * 可以传过来
    **/
   void onBeforeBoost(float currentPercentage);
   void onAfterBoost(long mem);

   void log(int functionCode);
   void logAddition(int functionCode, int additionalTimes);
   void logNoAddition(int functionCode, int value);
}
